@import "../../../css/src/vars";

//@headerBackgroundColor: #aeea00;
//@headerBorderColor: #9FD014;

@navBackgroundColor: #546e7a;
@navBorderColor: #546e7a;
@navMenuItemBackgroundColorHover: #455b65;
@navMenuBorderColor: #4c636e;
@navSubMenuItemBackgroundColor: #4c636e;

@activeBackgroundColor: #546e7a;
@activeColor: #FEFEFE;

@panelBorderColor: #FEFEFE;
@panelInnerBorderColor: #DEDEDE;

@successBackgroundColor: #8bc34a;
@successBorderColor: #89AF69;
@successColor: #FEFEFE;

@dangerBackgroundColor: #F44336;
@dangerBorderColor: #a94442;
@dangerColor: #FFFFFF;

@import "../../../css/style";

a {
  color: #333;
}

.panel, fieldset, .little-panel .title {
  box-shadow: 0 2px 5px 0 rgba(35, 50, 55, 0.18), 0 2px 10px 0 rgba(35, 50, 55, 0.14);
  -webkit-transition: 0.2s ease-out;
  -moz-transition: 0.2s ease-out;
  -o-transition: 0.2s ease-out;
  -ms-transition: 0.2s ease-out;
  transition: 0.2s ease-out;
}

.little-panel .title:hover, fieldset:hover {
  box-shadow: 0 2px 5px 0 rgba(35, 50, 55, 0.30), 0 2px 10px 0 rgba(35, 50, 55, 0.30)
}

fieldset {
  border: none;

  -webkit-transition: 0.2s ease-out;
  -moz-transition: 0.2s ease-out;
  -o-transition: 0.2s ease-out;
  -ms-transition: 0.2s ease-out;
  transition: 0.2s ease-out;
}

.form-control:focus,
.selectize-input.focus {
  border-color: #8bc34a;
  -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(139,195,74,0.6);
  -moz-box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(139,195,74,0.6);
  box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(139,195,74,0.6);
}

.btn{
  border: none;
  box-shadow: 0 2px 5px 0 rgba(35, 50, 55, 0.18), 0 2px 10px 0 rgba(35, 50, 55, 0.14);

  -webkit-transition: 0.2s ease-out;
  -moz-transition: 0.2s ease-out;
  -o-transition: 0.2s ease-out;
  -ms-transition: 0.2s ease-out;
  transition: 0.2s ease-out;

  &:not(:disabled):hover {
    box-shadow: 0 2px 5px 0 rgba(35, 50, 55, 0.30), 0 2px 10px 0 rgba(35, 50, 55, 0.30);
  }
}

.btn-submit {
  background-color: @activeBackgroundColor;
  color: @activeColor;

  &:not(:disabled) {
    &:hover {
      background-color: #6f8e9c;
    }
  }

  &:hover {
    color: @activeColor;
  }

  &:active,
  &:focus {
    color: @activeColor;
  }
}

/**
 * Custom Full Calendar
 */
.fc[calendar]{
  .fc-toolbar{
    >*{
      >*{
        margin-left: 0px;
      }
    }
  }

  .fc-button-group{
    >*{
      margin: 0 auto;
    }
  }

  .fc-left, .fc-right{
    box-shadow: 0 2px 5px 0 rgba(35, 50, 55, 0.18), 0 2px 10px 0 rgba(35, 50, 55, 0.14);
  }

  button.fc-button{
    .btn;
    .btn-submit;
    background-image: none;
    padding: 8px 14px;
    height: auto;
    box-shadow: none;
    text-shadow: none;

    &.fc-state-active{
      background-color: @navMenuItemBackgroundColorHover;
    }
  }
}

.tooltip {
  white-space: pre-wrap;
  z-index: 3000 !important;
}

.popover-content{
  z-index: 3000 !important;
}